**Purpose**:
This document is meant to be an abstract guide on what to do before upgrading Microsoft Exchange Server (2013/2016/2019).  There are a few considerations that need to be made ahead of time.  You have to be logged in with a domain user that possesses the following domain group memberships:

- `Enterprise Admins`
- `Schema Admins`
- `Organization Management`

Secondly, you have to run the installer in a specific way:

!!! warning "Invoke `Setup.exe` via Administrative Command Prompt"
    There are known issues with running the upgrade process that can only be resolved by launching setup.exe from an admin command prompt.  Firstly, log in as the above user with the security group memberships mentioned, then run setup.exe.  An example is below:

## Example Command Invocation
``` batch
whoami # (1)
D: # (2)
setup.exe # (3)
```

1. This will validate that you are using the `domain\user` of an administrative domain user.  
2. This changes the directory to whatever the drive letter of the mounted cumulative update ISO file is.
3. This will invoke setup.exe as you with administrative privileges.